org.bouncycastle.pqc.crypto.util

## Class PQCOtherInfoGenerator.PartyU

- java.lang.Object
- - org.bouncycastle.pqc.crypto.util.PQCOtherInfoGenerator
  - - org.bouncycastle.pqc.crypto.util.PQCOtherInfoGenerator.PartyU

- Enclosing class:
    PQCOtherInfoGenerator

      public static class PQCOtherInfoGenerator.PartyU
      extends PQCOtherInfoGenerator

  Party U (initiator) generation.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bouncycastle.pqc.crypto.util.PQCOtherInfoGenerator

      `PQCOtherInfoGenerator.PartyU, PQCOtherInfoGenerator.PartyV`

  - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.pqc.crypto.util.PQCOtherInfoGenerator

      `otherInfoBuilder, random, used`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartyU(KEMParameters kemParams, AlgorithmIdentifier algorithmID, byte[] partyUInfo, byte[] partyVInfo, java.security.SecureRandom random)` Create a basic builder with just the compulsory fields for the initiator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DEROtherInfo` | `generate(byte[] suppPrivInfoPartB)`
    `byte[]` | `getSuppPrivInfoPartA()`
    `PQCOtherInfoGenerator` | `withSuppPubInfo(byte[] suppPubInfo)` Add optional supplementary public info (DER tagged, implicit, 0).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PartyU

          public PartyU(KEMParameters kemParams,
                        AlgorithmIdentifier algorithmID,
                        byte[] partyUInfo,
                        byte[] partyVInfo,
                        java.security.SecureRandom random)

      Create a basic builder with just the compulsory fields for the initiator.
      Parameters:
        `kemParams` - the key type parameters for populating the private info field.
        `algorithmID` - the algorithm associated with this invocation of the KDF.
        `partyUInfo` - sender party info.
        `partyVInfo` - receiver party info.
        `random` - a source of randomness.

  - ### Method Detail

    - #### withSuppPubInfo

          public PQCOtherInfoGenerator withSuppPubInfo(byte[] suppPubInfo)

      Add optional supplementary public info (DER tagged, implicit, 0).
      Parameters:
        `suppPubInfo` - supplementary public info.
      Returns:
        the current builder instance.

    - #### getSuppPrivInfoPartA

          public byte[] getSuppPrivInfoPartA()

    - #### generate

          public DEROtherInfo generate(byte[] suppPrivInfoPartB)